Index: squid/src/url.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/url.c,v
retrieving revision 1.1.1.3.4.4.2.3
retrieving revision 1.1.1.3.4.4.2.3.2.1
diff -u -r1.1.1.3.4.4.2.3 -r1.1.1.3.4.4.2.3.2.1
--- squid/src/url.c	14 Jun 2001 21:34:24 -0000	1.1.1.3.4.4.2.3
+++ squid/src/url.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.4.4.2.3.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: url.c,v 1.1.1.3.4.4.2.3 2001/06/14 21:34:24 serassio Exp $
+ * $Id: url.c,v 1.1.1.3.4.4.2.3.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 23    URL Parsing
  * AUTHOR: Duane Wessels
@@ -35,8 +34,7 @@
 
 #include "squid.h"
 
-const char *RequestMethodStr[] =
-{
+const char *RequestMethodStr[] = {
     "NONE",
     "GET",
     "POST",
@@ -60,8 +58,7 @@
     "ERROR"
 };
 
-const char *ProtocolStr[] =
-{
+const char *ProtocolStr[] = {
     "NONE",
     "http",
     "ftp",
@@ -82,13 +79,9 @@
 static request_t *urnParse(method_t method, char *urn);
 static const char *const valid_hostname_chars =
 #if ALLOW_HOSTNAME_UNDERSCORES
-"ABCDEFGHIJKLMNOPQRSTUVWXYZ"
-"abcdefghijklmnopqrstuvwxyz"
-"0123456789-._";
+    "ABCDEFGHIJKLMNOPQRSTUVWXYZ" "abcdefghijklmnopqrstuvwxyz" "0123456789-._";
 #else
-"ABCDEFGHIJKLMNOPQRSTUVWXYZ"
-"abcdefghijklmnopqrstuvwxyz"
-"0123456789-.";
+    "ABCDEFGHIJKLMNOPQRSTUVWXYZ" "abcdefghijklmnopqrstuvwxyz" "0123456789-.";
 #endif
 
 /* convert %xx in url string to a character 
@@ -147,8 +140,7 @@
     /* more cases? */
 }
 
-method_t
-urlParseMethod(const char *s)
+method_t urlParseMethod(const char *s)
 {
     method_t method = METHOD_NONE;
     for (method++; method < METHOD_ENUM_END; method++) {
@@ -159,8 +151,7 @@
 }
 
 
-protocol_t
-urlParseProtocol(const char *s)
+protocol_t urlParseProtocol(const char *s)
 {
     /* test common stuff first */
     if (strcasecmp(s, "http") == 0)
@@ -234,13 +225,13 @@
     }
     if (method == METHOD_CONNECT) {
 	port = CONNECT_PORT;
-	if (sscanf(url, "%[^:]:%d", host, &port) < 1)
+	if (sscanf(url, "%[^:\r\n]:%d", host, &port) < 1)
 	    return NULL;
     } else if (!strncmp(url, "urn:", 4)) {
 	return urnParse(method, url);
     } else {
-	if (sscanf(url, "%[^:]://%[^/]%[^\r\n]", proto, host, urlpath) < 2)
-	    return NULL;
+	if (sscanf(url, "%[^:\r\n]://%[^/\r\n]%[^\r\n]", proto, host,
+		urlpath) < 2) return NULL;
 	protocol = urlParseProtocol(proto);
 	port = urlDefaultPort(protocol);
 	/* Is there any login informaiton? */
@@ -354,9 +345,7 @@
 		ProtocolStr[request->protocol],
 		request->login,
 		*request->login ? "@" : null_string,
-		request->host,
-		portbuf,
-		strBuf(request->urlpath));
+		request->host, portbuf, strBuf(request->urlpath));
 	    break;
 	}
     }
@@ -390,10 +379,7 @@
 	    }
 	    snprintf(buf, MAX_URL, "%s://%s%s%s%s",
 		ProtocolStr[request->protocol],
-		loginbuf,
-		request->host,
-		portbuf,
-		strBuf(request->urlpath));
+		loginbuf, request->host, portbuf, strBuf(request->urlpath));
 	    /*
 	     * strip arguments AFTER a question-mark
 	     */
Index: squid/src/urn.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/urn.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/urn.c	6 Jan 2001 12:40:17 -0000	1.1.1.3.4.1.2.1
+++ squid/src/urn.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,7 +1,6 @@
-
 /*
  *
- * $Id: urn.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:17 hno Exp $
+ * $Id: urn.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 52    URN Parsing
  * AUTHOR: Kostas Anagnostakis
@@ -36,24 +35,32 @@
 
 #include "squid.h"
 
-typedef struct {
+typedef struct
+{
     StoreEntry *entry;
     StoreEntry *urlres_e;
     request_t *request;
     request_t *urlres_r;
-    struct {
+    struct
+    {
 	int force_menu:1;
-    } flags;
-} UrnState;
+    }
+    flags;
+}
+UrnState;
 
-typedef struct {
+typedef struct
+{
     char *url;
     char *host;
     int rtt;
-    struct {
+    struct
+    {
 	int cached;
-    } flags;
-} url_entry;
+    }
+    flags;
+}
+url_entry;
 
 static STCB urnHandleReply;
 static url_entry *urnParseReply(const char *inbuf, method_t);
@@ -90,8 +97,7 @@
     if (rtt_ret)
 	*rtt_ret = min_rtt;
     debug(52, 1) ("urnFindMinRtt: Returning '%s' RTT %d\n",
-	min_u ? min_u->url : "NONE",
-	min_rtt);
+	min_u ? min_u->url : "NONE", min_rtt);
     return min_u;
 }
 
@@ -124,7 +130,8 @@
     } else {
 	host = xstrdup(strBuf(r->urlpath));
     }
-    snprintf(urlres, 4096, "http://%s/uri-res/N2L?urn:%s", host, strBuf(r->urlpath));
+    snprintf(urlres, 4096, "http://%s/uri-res/N2L?urn:%s", host,
+	strBuf(r->urlpath));
     safe_free(host);
     urlres_r = urlParse(METHOD_GET, urlres);
     if (urlres_r == NULL) {
@@ -136,7 +143,8 @@
     }
     httpHeaderPutStr(&urlres_r->header, HDR_ACCEPT, "text/plain");
     if ((urlres_e = storeGetPublic(urlres, METHOD_GET)) == NULL) {
-	urlres_e = storeCreateEntry(urlres, urlres, null_request_flags, METHOD_GET);
+	urlres_e =
+	    storeCreateEntry(urlres, urlres, null_request_flags, METHOD_GET);
 	storeClientListAdd(urlres_e, urnState);
 	fwdStart(-1, urlres_e, urlres_r);
     } else {
@@ -146,12 +154,7 @@
     urnState->urlres_e = urlres_e;
     urnState->urlres_r = requestLink(urlres_r);
     storeClientCopy(urlres_e,
-	0,
-	0,
-	4096,
-	memAllocate(MEM_4K_BUF),
-	urnHandleReply,
-	urnState);
+	0, 0, 4096, memAllocate(MEM_4K_BUF), urnHandleReply, urnState);
 }
 
 static int
@@ -200,12 +203,7 @@
     }
     if (urlres_e->store_status == STORE_PENDING && size < SM_PAGE_SIZE) {
 	storeClientCopy(urlres_e,
-	    size,
-	    0,
-	    SM_PAGE_SIZE,
-	    buf,
-	    urnHandleReply,
-	    urnState);
+	    size, 0, SM_PAGE_SIZE, buf, urnHandleReply, urnState);
 	return;
     }
     /* we know its STORE_OK */
@@ -253,11 +251,9 @@
     for (i = 0; i < urlcnt; i++) {
 	u = &urls[i];
 	debug(52, 3) ("URL {%s}\n", u->url);
-	memBufPrintf(&mb,
-	    "<TR><TD><A HREF=\"%s\">%s</A></TD>", u->url, u->url);
+	memBufPrintf(&mb, "<TR><TD><A HREF=\"%s\">%s</A></TD>", u->url, u->url);
 	if (urls[i].rtt > 0)
-	    memBufPrintf(&mb,
-		"<TD align=right>%4d </it>ms</it></TD>", u->rtt);
+	    memBufPrintf(&mb, "<TD align=right>%4d </it>ms</it></TD>", u->rtt);
 	else
 	    memBufPrintf(&mb, "<TD align=right>Unknown</TD>");
 	memBufPrintf(&mb,
@@ -268,8 +264,7 @@
 	"<HR>\n"
 	"<ADDRESS>\n"
 	"Generated by %s@%s\n"
-	"</ADDRESS>\n",
-	full_appname_string, getMyHostname());
+	"</ADDRESS>\n", full_appname_string, getMyHostname());
     rep = e->mem_obj->reply;
     httpReplyReset(rep);
     httpReplySetHeaders(rep, 1.0, HTTP_MOVED_TEMPORARILY, NULL,
Index: squid/src/useragent.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/useragent.c,v
retrieving revision 1.1.1.3.4.1.2.10
retrieving revision 1.1.1.3.4.1.2.10.2.1
diff -u -r1.1.1.3.4.1.2.10 -r1.1.1.3.4.1.2.10.2.1
--- squid/src/useragent.c	15 Jul 2001 16:58:38 -0000	1.1.1.3.4.1.2.10
+++ squid/src/useragent.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.4.1.2.10.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: useragent.c,v 1.1.1.3.4.1.2.10 2001/07/15 16:58:38 serassio Exp $
+ * $Id: useragent.c,v 1.1.1.3.4.1.2.10.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 40    User-Agent logging
  * AUTHOR: Joe Ramey <ramey@csc.ti.com>
@@ -123,10 +122,7 @@
 	strcpy(time_str, s);
 	last_time = squid_curtime;
     }
-    fprintf(cache_useragent_log, "%s [%s] \"%s\"\n",
-	client,
-	time_str,
-	agent);
+    fprintf(cache_useragent_log, "%s [%s] \"%s\"\n", client, time_str, agent);
     if (!Config.onoff.buffered_logs)
 	fflush(cache_useragent_log);
 #endif
Index: squid/src/wais.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/wais.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/src/wais.c	6 Jan 2001 12:40:17 -0000	1.1.1.2.4.1.2.1
+++ squid/src/wais.c	27 Aug 2001 21:48:22 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: wais.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:17 hno Exp $
+ * $Id: wais.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 24    WAIS Relay
  * AUTHOR: Harvest Derived
@@ -35,7 +34,8 @@
 #define WAIS_C
 #include "squid.h"
 
-typedef struct {
+typedef struct
+{
     int fd;
     StoreEntry *entry;
     method_t method;
@@ -43,7 +43,8 @@
     char url[MAX_URL];
     request_t *request;
     FwdState *fwd;
-} WaisStateData;
+}
+WaisStateData;
 
 static PF waisStateFree;
 static PF waisTimeout;
@@ -103,11 +104,7 @@
     read_sz = delayBytesWanted(delay_id, 1, read_sz);
 #endif
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, buf, read_sz);
-#else
     len = read(fd, buf, read_sz);
-#endif
     if (len > 0) {
 	fd_bytes(fd, len, FD_READ);
 #if DELAY_POOLS
@@ -130,8 +127,7 @@
 	if (ignoreErrno(errno)) {
 	    /* reinstall handlers */
 	    /* XXX This may loop forever */
-	    commSetSelect(fd, COMM_SELECT_READ,
-		waisReadReply, waisState, 0);
+	    commSetSelect(fd, COMM_SELECT_READ, waisReadReply, waisState, 0);
 	} else {
 	    ErrorState *err;
 	    EBIT_CLR(entry->flags, ENTRY_CACHABLE);
@@ -156,10 +152,7 @@
 	comm_close(fd);
     } else {
 	storeAppend(entry, buf, len);
-	commSetSelect(fd,
-	    COMM_SELECT_READ,
-	    waisReadReply,
-	    waisState, 0);
+	commSetSelect(fd, COMM_SELECT_READ, waisReadReply, waisState, 0);
     }
 }
 
@@ -188,10 +181,7 @@
 	comm_close(fd);
     } else {
 	/* Schedule read reply. */
-	commSetSelect(fd,
-	    COMM_SELECT_READ,
-	    waisReadReply,
-	    waisState, 0);
+	commSetSelect(fd, COMM_SELECT_READ, waisReadReply, waisState, 0);
 	commSetDefer(fd, fwdCheckDeferRead, entry);
     }
 }
Index: squid/src/wccp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/wccp.c,v
retrieving revision 1.1.1.1.4.2.2.1
retrieving revision 1.1.1.1.4.2.2.1.2.1
diff -u -r1.1.1.1.4.2.2.1 -r1.1.1.1.4.2.2.1.2.1
--- squid/src/wccp.c	6 Jan 2001 12:40:17 -0000	1.1.1.1.4.2.2.1
+++ squid/src/wccp.c	27 Aug 2001 21:48:22 -0000	1.1.1.1.4.2.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: wccp.c,v 1.1.1.1.4.2.2.1 2001/01/06 12:40:17 hno Exp $
+ * $Id: wccp.c,v 1.1.1.1.4.2.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 80     WCCP Support
  * AUTHOR: Glenn Chisholm
@@ -49,7 +48,8 @@
 #define WCCP_I_SEE_YOU 8
 #define WCCP_ASSIGN_BUCKET 9
 
-struct wccp_here_i_am_t {
+struct wccp_here_i_am_t
+{
     int type;
     int version;
     int revision;
@@ -58,14 +58,16 @@
     int id;
 };
 
-struct wccp_cache_entry_t {
+struct wccp_cache_entry_t
+{
     struct in_addr ip_addr;
     int revision;
     char hash[WCCP_HASH_SIZE];
     int reserved;
 };
 
-struct wccp_i_see_you_t {
+struct wccp_i_see_you_t
+{
     int type;
     int version;
     int change;
@@ -74,7 +76,8 @@
     struct wccp_cache_entry_t wccp_cache_entry[WCCP_ACTIVE_CACHES];
 };
 
-struct wccp_assign_bucket_t {
+struct wccp_assign_bucket_t
+{
     int type;
     int id;
     int number;
@@ -125,42 +128,21 @@
 	debug(1, 1) ("WCCP Disabled.\n");
 	return;
     }
-    theInWccpConnection = comm_open(SOCK_DGRAM,
-#ifdef _SQUID_MSWIN_
-	IPPROTO_UDP,
-#else
-	0,
-#endif
-	Config.Wccp.incoming,
-	port,
-	COMM_NONBLOCKING,
-	"WCCP Socket");
+    theInWccpConnection = comm_open(SOCK_DGRAM, 0, Config.Wccp.incoming,
+	port, COMM_NONBLOCKING, "WCCP Socket");
     if (theInWccpConnection < 0)
 	fatal("Cannot open WCCP Port");
     commSetSelect(theInWccpConnection,
-	COMM_SELECT_READ,
-	wccpHandleUdp,
-	NULL,
-	0);
+	COMM_SELECT_READ, wccpHandleUdp, NULL, 0);
     debug(1, 1) ("Accepting WCCP messages on port %d, FD %d.\n",
 	(int) port, theInWccpConnection);
     if (Config.Wccp.outgoing.s_addr != no_addr.s_addr) {
-	theOutWccpConnection = comm_open(SOCK_DGRAM,
-#ifdef _SQUID_MSWIN_
-	IPPROTO_UDP,
-#else
-	0,
-#endif
-	    Config.Wccp.outgoing,
-	    port,
-	    COMM_NONBLOCKING,
-	    "WCCP Socket");
+	theOutWccpConnection = comm_open(SOCK_DGRAM, 0, Config.Wccp.outgoing,
+	    port, COMM_NONBLOCKING, "WCCP Socket");
 	if (theOutWccpConnection < 0)
 	    fatal("Cannot open Outgoing WCCP Port");
 	commSetSelect(theOutWccpConnection,
-	    COMM_SELECT_READ,
-	    wccpHandleUdp,
-	    NULL, 0);
+	    COMM_SELECT_READ, wccpHandleUdp, NULL, 0);
 	debug(1, 1) ("Outgoing WCCP messages on port %d, FD %d.\n",
 	    (int) port, theOutWccpConnection);
 	fd_note(theOutWccpConnection, "Outgoing WCCP socket");
@@ -177,8 +159,8 @@
 	fatal("Unable to connect WCCP out socket");
     local_len = sizeof(local);
     memset(&local, '\0', local_len);
-    if (getsockname(theOutWccpConnection, (struct sockaddr *) &local, &local_len))
-	fatal("Unable to getsockname on WCCP out socket");
+    if (getsockname(theOutWccpConnection, (struct sockaddr *) &local,
+	    &local_len)) fatal("Unable to getsockname on WCCP out socket");
     local_ip.s_addr = local.sin_addr.s_addr;
 }
 
@@ -228,16 +210,8 @@
 
     Counter.syscalls.sock.recvfroms++;
 
-    len = recvfrom(sock,
-#ifdef _SQUID_MSWIN_
-	(char *)&wccp_i_see_you,
-#else
-    &wccp_i_see_you,
-#endif
-	WCCP_RESPONSE_SIZE,
-	0,
-	(struct sockaddr *) &from,
-	&from_len);
+    len = recvfrom(sock, &wccp_i_see_you,
+	WCCP_RESPONSE_SIZE, 0, (struct sockaddr *) &from, &from_len);
     if (len < 0)
 	return;
     if (Config.Wccp.router.s_addr != from.sin_addr.s_addr)
@@ -262,8 +236,8 @@
 {
     int loop;
     for (loop = 0; loop < ntohl(wccp_i_see_you.number); loop++) {
-	if (wccp_i_see_you.wccp_cache_entry[loop].ip_addr.s_addr < local_ip.s_addr)
-	    return 0;
+	if (wccp_i_see_you.wccp_cache_entry[loop].ip_addr.s_addr <
+	    local_ip.s_addr) return 0;
     }
     return 1;
 }
@@ -274,14 +248,7 @@
     debug(80, 6) ("wccpHereIam: Called\n");
 
     wccp_here_i_am.id = wccp_i_see_you.id;
-    send(theOutWccpConnection,
-#ifdef _SQUID_MSWIN_
-	(const char*)&wccp_here_i_am,
-#else
-    &wccp_here_i_am,
-#endif
-	sizeof(wccp_here_i_am),
-	0);
+    send(theOutWccpConnection, &wccp_here_i_am, sizeof(wccp_here_i_am), 0);
 
     if (!eventFind(wccpHereIam, NULL))
 	eventAdd("wccpHereIam", wccpHereIam, NULL, 10.0, 1);
@@ -308,9 +275,7 @@
     wab_len = sizeof(struct wccp_assign_bucket_t);
     cache_len = WCCP_CACHE_LEN * number_caches;
 
-    buf = xmalloc(wab_len +
-	WCCP_BUCKETS +
-	cache_len);
+    buf = xmalloc(wab_len + WCCP_BUCKETS + cache_len);
     wccp_assign_bucket = (struct wccp_assign_bucket_t *) buf;
     caches = (int *) (buf + wab_len);
     buckets = buf + wab_len + cache_len;
@@ -333,10 +298,7 @@
     wccp_assign_bucket->id = wccp_i_see_you.id;
     wccp_assign_bucket->number = wccp_i_see_you.number;
 
-    send(theOutWccpConnection,
-	buf,
-	wab_len + WCCP_BUCKETS + cache_len,
-	0);
+    send(theOutWccpConnection, buf, wab_len + WCCP_BUCKETS + cache_len, 0);
     change = 0;
     xfree(buf);
 }
Index: squid/src/whois.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/whois.c,v
retrieving revision 1.1.1.2.4.2.2.1
retrieving revision 1.1.1.2.4.2.2.1.2.1
diff -u -r1.1.1.2.4.2.2.1 -r1.1.1.2.4.2.2.1.2.1
--- squid/src/whois.c	6 Jan 2001 12:40:17 -0000	1.1.1.2.4.2.2.1
+++ squid/src/whois.c	27 Aug 2001 21:48:22 -0000	1.1.1.2.4.2.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: whois.c,v 1.1.1.2.4.2.2.1 2001/01/06 12:40:17 hno Exp $
+ * $Id: whois.c,v 1.1.1.2.4.2.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 75    WHOIS protocol
  * AUTHOR: Duane Wessels, Kostas Anagnostakis
@@ -37,11 +36,13 @@
 
 #define WHOIS_PORT 43
 
-typedef struct {
+typedef struct
+{
     StoreEntry *entry;
     request_t *request;
     FwdState *fwd;
-} WhoisState;
+}
+WhoisState;
 
 static PF whoisClose;
 static PF whoisTimeout;
@@ -100,12 +101,14 @@
 	kb_incr(&Counter.server.all.kbytes_in, len);
 	kb_incr(&Counter.server.http.kbytes_in, len);
 	storeAppend(entry, buf, len);
-	commSetSelect(fd, COMM_SELECT_READ, whoisReadReply, p, Config.Timeout.read);
+	commSetSelect(fd, COMM_SELECT_READ, whoisReadReply, p,
+	    Config.Timeout.read);
     } else if (len < 0) {
 	debug(50, 2) ("whoisReadReply: FD %d: read failure: %s.\n",
 	    fd, xstrerror());
 	if (ignoreErrno(errno)) {
-	    commSetSelect(fd, COMM_SELECT_READ, whoisReadReply, p, Config.Timeout.read);
+	    commSetSelect(fd, COMM_SELECT_READ, whoisReadReply, p,
+		Config.Timeout.read);
 	} else if (mem->inmem_hi == 0) {
 	    ErrorState *err;
 	    err = errorCon(ERR_READ_ERROR, HTTP_INTERNAL_SERVER_ERROR);
Index: squid/src/win32.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/win32.c,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.3.2.1
diff -u -r1.1.2.3 -r1.1.2.3.2.1
--- squid/src/win32.c	14 Jun 2001 20:36:16 -0000	1.1.2.3
+++ squid/src/win32.c	27 Aug 2001 21:48:22 -0000	1.1.2.3.2.1
@@ -38,6 +38,9 @@
 #if defined(_SQUID_MSWIN_)
 static int Win32SockInit(void);
 static void Win32SockCleanup(void);
+
+LPCRITICAL_SECTION dbg_mutex = NULL;
+extern int opt_signal_service;
 #endif /* End native Windows NT EXPERIMENTAL PORT */
 
 static SERVICE_STATUS svcStatus;
@@ -49,7 +52,7 @@
 #else
 #define SOFTWARE "Squid"
 #endif
-#define VERSION  "2.3-STABLE-4"
+#define VERSION  "2.3-STABLE-5"
 #define REGKEY "SOFTWARE\\" VENDOR "\\" SOFTWARE "\\" VERSION
 
 /* ====================================================================== */
@@ -188,31 +191,31 @@
     switch (osvi.dwPlatformId) {
     case VER_PLATFORM_WIN32_NT:
 	if (osvi.dwMajorVersion <= 4) {
-	    WIN32_OS_string=xstrdup("Windows NT");
+	    WIN32_OS_string = xstrdup("Windows NT");
 	    return _WIN_OS_WINNT;
 	}
 	if (osvi.dwMajorVersion == 5) {
-	    WIN32_OS_string=xstrdup("Windows 2000");
+	    WIN32_OS_string = xstrdup("Windows 2000");
 	    return _WIN_OS_WIN2K;
 	}
 	break;
     case VER_PLATFORM_WIN32_WINDOWS:
 	if ((osvi.dwMajorVersion > 4) ||
 	    ((osvi.dwMajorVersion == 4) && (osvi.dwMinorVersion > 0))) {
-	    WIN32_OS_string=xstrdup("Windows 98");
+	    WIN32_OS_string = xstrdup("Windows 98");
 	    return _WIN_OS_WIN98;
 	}
-	WIN32_OS_string=xstrdup("Windows 95");
+	WIN32_OS_string = xstrdup("Windows 95");
 	return _WIN_OS_WIN95;
 	break;
     case VER_PLATFORM_WIN32s:
-	WIN32_OS_string=xstrdup("Windows 3.1 with WIN32S");
+	WIN32_OS_string = xstrdup("Windows 3.1 with WIN32S");
 	return _WIN_OS_WIN32S;
 	break;
     default:
 	return _WIN_OS_UNKNOWN;
     }
-    WIN32_OS_string=xstrdup("Unknown");
+    WIN32_OS_string = xstrdup("Unknown");
     return _WIN_OS_UNKNOWN;
 }
 
@@ -220,10 +223,13 @@
 /* PUBLIC FUNCTIONS */
 /* ====================================================================== */
 
-VOID
-WIN32_Exit(int ExitStatus)
+VOID WIN32_Exit(int ExitStatus)
 {
 #ifdef _SQUID_MSWIN_
+    if (ExitStatus) {
+	unlinkdClose();
+	redirectShutdown();
+    }
     Win32SockCleanup();
 #endif
 #ifdef USE_WIN32_SERVICE
@@ -234,6 +240,13 @@
     svcStatus.dwCurrentState = SERVICE_STOPPED;
     SetServiceStatus(svcHandle, &svcStatus);
 #endif
+#ifdef _SQUID_MSWIN_
+#ifdef USE_ASYNC_IO
+    aioShutdown();
+#endif
+    if (dbg_mutex)
+	DeleteCriticalSection(dbg_mutex);
+#endif
     exit(0);
 }
 
@@ -247,8 +260,7 @@
 	HKEY hndKey;
 	/* Register the service Handler function */
 	svcHandle =
-	    RegisterServiceCtrlHandler(WIN32_Service_name,
-	    WIN32_svcHandler);
+	    RegisterServiceCtrlHandler(WIN32_Service_name, WIN32_svcHandler);
 	if (svcHandle == 0)
 	    return 1;
 	/* Set Process work dir to directory cointaining squid.exe */
@@ -263,11 +275,12 @@
 	    DWORD Size = 0;
 	    LONG Result;
 	    Result =
-		RegQueryValueEx(hndKey, WIN32_Service_name, NULL, &Type, NULL, &Size);
+		RegQueryValueEx(hndKey, WIN32_Service_name, NULL, &Type, NULL,
+		&Size);
 	    if (Result == ERROR_SUCCESS && Size) {
 		ConfigFile = xmalloc(Size);
-		RegQueryValueEx(hndKey, WIN32_Service_name, NULL, &Type, ConfigFile,
-		    &Size);
+		RegQueryValueEx(hndKey, WIN32_Service_name, NULL, &Type,
+		    ConfigFile, &Size);
 	    } else
 		ConfigFile = xstrdup(DefaultConfigFile);
 	    RegCloseKey(hndKey);
@@ -373,7 +386,8 @@
     if (!schSCManager)
 	debug(1, 1) ("OpenSCManager failed");
     else {
-	schService = OpenService(schSCManager, WIN32_Service_name, SERVICE_ALL_ACCESS);
+	schService =
+	    OpenService(schSCManager, WIN32_Service_name, SERVICE_ALL_ACCESS);
 	if (schService == NULL)
 	    debug(1, 1) ("OpenService failed");
 	/* Could not open the service */
@@ -391,7 +405,7 @@
 	    }
 	    /* now remove the service */
 	    if (DeleteService(schService) == 0)
-		fprintf(stderr,"DeleteService failed.\n");
+		fprintf(stderr, "DeleteService failed.\n");
 	    else
 		printf("Service %s deleted successfully.\n",
 		    WIN32_Service_name);
@@ -409,26 +423,26 @@
     char ServicePath[512];
     char szPath[512];
     int lenpath;
-    
+
     if (!WIN32_Service_name)
 	WIN32_Service_name = xstrdup(_WIN_SQUID_DEFAULT_SERVICE_NAME);
     if ((lenpath = GetModuleFileName(NULL, ServicePath, 512)) == 0) {
 	debug(1, 1) ("Can't get executable path");
 	exit(1);
     }
-    snprintf(szPath, sizeof(szPath), "%s %s:%s", ServicePath, _WIN_SQUID_SERVICE_OPTION, WIN32_Service_name);
+    snprintf(szPath, sizeof(szPath), "%s %s:%s", ServicePath,
+	_WIN_SQUID_SERVICE_OPTION, WIN32_Service_name);
     schSCManager = OpenSCManager(NULL,	/* machine (NULL == local)    */
 	NULL,			/* database (NULL == default) */
 	SC_MANAGER_ALL_ACCESS	/* access required            */
 	);
-    if (!schSCManager) {    
+    if (!schSCManager) {
 	debug(1, 1) ("OpenSCManager failed");
 	exit(1);
-    }
-    else {
+    } else {
 	schService = CreateService(schSCManager,	/* SCManager database     */
-	    WIN32_Service_name,		/* name of service        */
-	    WIN32_Service_name,		/* name to display        */
+	    WIN32_Service_name,	/* name of service        */
+	    WIN32_Service_name,	/* name to display        */
 	    SERVICE_ALL_ACCESS,	/* desired access         */
 	    SERVICE_WIN32_OWN_PROCESS,	/* service type           */
 	    SERVICE_AUTO_START,	/* start type             */
@@ -436,7 +450,7 @@
 	    (const char *) szPath,	/* service's binary       */
 	    NULL,		/* no load ordering group */
 	    NULL,		/* no tag identifier      */
-	    "Tcpip\0Afd\0",		/* dependencies           */
+	    "Tcpip\0Afd\0",	/* dependencies           */
 	    NULL,		/* LocalSystem account    */
 	    NULL);		/* no password            */
 	if (schService) {
@@ -444,7 +458,8 @@
 	    /* Now store the config file location in the registry */
 	    if (!ConfigFile)
 		ConfigFile = xstrdup(DefaultConfigFile);
-	    WIN32_StoreKey(WIN32_Service_name, REG_SZ, (unsigned char *) ConfigFile, strlen(ConfigFile) + 1);
+	    WIN32_StoreKey(WIN32_Service_name, REG_SZ,
+		(unsigned char *) ConfigFile, strlen(ConfigFile) + 1);
 	    printf("Squid Cache version %s for %s\n", version_string,
 		CONFIG_HOST_TYPE);
 	    printf("installed successfully as %s Windows System Service.\n",
@@ -460,7 +475,12 @@
     }
 }
 
+#ifdef _SQUID_MSWIN_
+__declspec(dllexport)
+     int WINAPI
+#else
 void
+#endif
 WIN32_sendSignal(int WIN32_signal)
 {
     SERVICE_STATUS ssStatus;
@@ -468,16 +488,22 @@
     SC_HANDLE schService;
     SC_HANDLE schSCManager;
 
-    if (!WIN32_Service_name)
-	WIN32_Service_name = xstrdup(_WIN_SQUID_DEFAULT_SERVICE_NAME);
-    schSCManager = OpenSCManager(NULL,	/* machine (NULL == local)    */
-	NULL,			/* database (NULL == default) */
-	SC_MANAGER_ALL_ACCESS	/* access required            */
-	);
-    if (!schSCManager) {
-	debug(1, 1) ("OpenSCManager failed");
-	exit(1);
+#ifdef _SQUID_MSWIN_
+    if (opt_signal_service) {
+#endif
+	if (!WIN32_Service_name)
+	    WIN32_Service_name = xstrdup(_WIN_SQUID_DEFAULT_SERVICE_NAME);
+	schSCManager = OpenSCManager(NULL,	/* machine (NULL == local)    */
+	    NULL,		/* database (NULL == default) */
+	    SC_MANAGER_ALL_ACCESS	/* access required            */
+	    );
+	if (!schSCManager) {
+	    debug(1, 1) ("OpenSCManager failed");
+	    exit(1);
+	}
+#ifdef _SQUID_MSWIN_
     }
+#endif
     /* The required service object access depends on the control. */
     switch (WIN32_signal) {
     case 0:			/* SIGNULL */
@@ -506,64 +532,81 @@
 	fdwControl = _WIN_SQUID_SERVICE_CONTROL_INTERRUPT;
 	break;
     default:
-	exit(1);
+#ifdef _SQUID_MSWIN_
+	if (opt_signal_service)
+#endif
+	    exit(1);
+#ifdef _SQUID_MSWIN_
+	else
+	    return FALSE;
+#endif
     }
-    /* Open a handle to the service. */
-    schService = OpenService(schSCManager,	/* SCManager database */
-	WIN32_Service_name,	/* name of service    */
-	fdwAccess);		/* specify access     */
-    if (schService == NULL) {
-	fprintf(stderr, "%s: ERROR: Could not open Service %s\n", appname,
-	    WIN32_Service_name);
-	exit(1);
-    } else {
-	/* Send a control value to the service. */
-	if (!ControlService(schService,	/* handle of service      */
-		fdwControl,	/* control value to send  */
-		&ssStatus)) {	/* address of status info */
-	    fprintf(stderr, "%s: ERROR: Could not Control Service %s\n",
-		appname, WIN32_Service_name);
+#ifdef _SQUID_MSWIN_
+    if (opt_signal_service) {
+#endif
+	/* Open a handle to the service. */
+	schService = OpenService(schSCManager,	/* SCManager database */
+	    WIN32_Service_name,	/* name of service    */
+	    fdwAccess);		/* specify access     */
+	if (schService == NULL) {
+	    fprintf(stderr, "%s: ERROR: Could not open Service %s\n", appname,
+		WIN32_Service_name);
 	    exit(1);
 	} else {
-	    /* Print the service status. */
-	    printf("\nStatus of %s Service:\n", WIN32_Service_name);
-	    printf("  Service Type: 0x%lx\n", ssStatus.dwServiceType);
-	    printf("  Current State: 0x%lx\n", ssStatus.dwCurrentState);
-	    printf("  Controls Accepted: 0x%lx\n", ssStatus.dwControlsAccepted);
-	    printf("  Exit Code: %ld\n", ssStatus.dwWin32ExitCode);
-	    printf("  Service Specific Exit Code: %ld\n",
-		ssStatus.dwServiceSpecificExitCode);
-	    printf("  Check Point: %ld\n", ssStatus.dwCheckPoint);
-	    printf("  Wait Hint: %ld\n", ssStatus.dwWaitHint);
+	    /* Send a control value to the service. */
+	    if (!ControlService(schService,	/* handle of service      */
+		    fdwControl,	/* control value to send  */
+		    &ssStatus)) {	/* address of status info */
+		fprintf(stderr, "%s: ERROR: Could not Control Service %s\n",
+		    appname, WIN32_Service_name);
+		exit(1);
+	    } else {
+		/* Print the service status. */
+		printf("\nStatus of %s Service:\n", WIN32_Service_name);
+		printf("  Service Type: 0x%lx\n", ssStatus.dwServiceType);
+		printf("  Current State: 0x%lx\n", ssStatus.dwCurrentState);
+		printf("  Controls Accepted: 0x%lx\n",
+		    ssStatus.dwControlsAccepted);
+		printf("  Exit Code: %ld\n", ssStatus.dwWin32ExitCode);
+		printf("  Service Specific Exit Code: %ld\n",
+		    ssStatus.dwServiceSpecificExitCode);
+		printf("  Check Point: %ld\n", ssStatus.dwCheckPoint);
+		printf("  Wait Hint: %ld\n", ssStatus.dwWaitHint);
+	    }
+	    CloseServiceHandle(schService);
 	}
-	CloseServiceHandle(schService);
-    }
-    CloseServiceHandle(schSCManager);
+	CloseServiceHandle(schSCManager);
+#ifdef _SQUID_MSWIN_
+    } else
+	WIN32_svcHandler(fdwControl);
+    return TRUE;
+#endif
 }
 
-int main(int argc, char **argv)
+int
+main(int argc, char **argv)
 {
     SERVICE_TABLE_ENTRY DispatchTable[] = {
 	{NULL, SquidMain},
 	{NULL, NULL}
     };
     char *c;
-    
-    if ((argc == 2) && strstr(argv[1], _WIN_SQUID_SERVICE_OPTION)){
+
+    if ((argc == 2) && strstr(argv[1], _WIN_SQUID_SERVICE_OPTION)) {
 	WIN32_run_mode = _WIN_SQUID_RUN_MODE_SERVICE;
-	if (!(c=strchr(argv[1],':'))){
+	if (!(c = strchr(argv[1], ':'))) {
 	    fprintf(stderr, "Bad Service Parameter: %s\n", argv[1]);
 	    return 1;
 	}
-	WIN32_Service_name = xstrdup(c+1);
-	DispatchTable[0].lpServiceName=WIN32_Service_name;
-    	if (!StartServiceCtrlDispatcher(DispatchTable)) {
+	WIN32_Service_name = xstrdup(c + 1);
+	DispatchTable[0].lpServiceName = WIN32_Service_name;
+	if (!StartServiceCtrlDispatcher(DispatchTable)) {
 	    fprintf(stderr, "StartServiceCtrlDispatcher error = %ld\n",
 		GetLastError());
 	    return 1;
 	}
     } else {
-    	WIN32_run_mode = _WIN_SQUID_RUN_MODE_INTERACTIVE;
+	WIN32_run_mode = _WIN_SQUID_RUN_MODE_INTERACTIVE;
 	SquidMain(argc, argv);
     }
     return 0;
@@ -576,7 +619,8 @@
 #if defined(_SQUID_MSWIN_)
 static int s_iInitCount = 0;
 
-static int Win32SockInit(void)
+static int
+Win32SockInit(void)
 {
     int iVersionRequested;
     WSADATA wsaData;
@@ -585,8 +629,7 @@
     if (s_iInitCount > 0) {
 	s_iInitCount++;
 	return (0);
-    }
-    else if (s_iInitCount < 0)
+    } else if (s_iInitCount < 0)
 	return (s_iInitCount);
     /* s_iInitCount == 0. Do the initailization */
     iVersionRequested = MAKEWORD(2, 0);
@@ -595,22 +638,23 @@
 	s_iInitCount = -1;
 	return (s_iInitCount);
     }
-    if (LOBYTE(wsaData.wVersion) != 2 ||
-	HIBYTE(wsaData.wVersion) != 0) {
+    if (LOBYTE(wsaData.wVersion) != 2 || HIBYTE(wsaData.wVersion) != 0) {
 	s_iInitCount = -2;
 	WSACleanup();
 	return (s_iInitCount);
     }
-    debug(1,1)("Windows sockets initialised");
+    debug(1, 1) ("Windows sockets initialised");
     s_iInitCount++;
     return (s_iInitCount);
 }
 
-static void Win32SockCleanup(void)
+static void
+Win32SockCleanup(void)
 {
     if (--s_iInitCount == 0)
 	WSACleanup();
     return;
 }
+
 #endif /* End native Windows NT EXPERIMENTAL PORT */
 #endif
Index: squid/test-suite/hash.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/test-suite/hash.c,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/test-suite/hash.c	6 Jan 2001 12:40:17 -0000	1.1.1.1.44.1
+++ squid/test-suite/hash.c	27 Aug 2001 21:48:22 -0000	1.1.1.1.44.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: hash.c,v 1.1.1.1.44.1 2001/01/06 12:40:17 hno Exp $
+ * $Id: hash.c,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 0     Hash Tables
  * AUTHOR: Harvest Derived
@@ -39,7 +38,7 @@
 #include <assert.h>
 #include "hash.h"
 #undef free
-extern void my_free(char *, int , void *);
+extern void my_free(char *, int, void *);
 
 #define free(a) my_free(__FILE__, __LINE__, a)
 
@@ -176,7 +175,7 @@
     /* Add to the given hash table 'hid' */
     new = calloc(1, sizeof(hash_link));
     if (!new) {
-	fprintf(stderr,"calloc failed!\n");
+	fprintf(stderr, "calloc failed!\n");
 	print_stats();
 	exit(1);
     }
@@ -298,7 +297,7 @@
 		hid->current_ptr = walker->next;
 	    if (FreeLink) {
 		if (walker) {
-		free(walker);
+		    free(walker);
 		}
 	    }
 	    return 0;
@@ -337,10 +336,10 @@
 void
 hashFreeMemory(hash_table * hid)
 {
-	if (hid->buckets);
+    if (hid->buckets);
     free(hid->buckets);
-	if (hid)
-    free(hid);
+    if (hid)
+	free(hid);
 }
 
 
@@ -371,8 +370,7 @@
 
     while (fgets(buf, BUFSIZ, stdin)) {
 	buf[strlen(buf) - 1] = '\0';
-	printf("Inserting '%s' for item %p to hash table: %d\n",
-	    buf, buf, hid);
+	printf("Inserting '%s' for item %p to hash table: %d\n", buf, buf, hid);
 	hash_insert(hid, xstrdup(buf), (void *) 0x12345678);
 	if (random() % 17 == 0)
 	    strcpy(todelete, buf);
@@ -402,4 +400,3 @@
     exit(0);
 }
 #endif
-
